Monitor requests by date range, state, and origin

Monitor requests to the Bot v3 API by date range, state, and origin

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Use GET /bots/v3/request/appId/{appId} to retrieve and monitor requests for a bot filtering by a date range, the request state (PENDING, ERROR, SUCCESS), and the origin of the request (Khoros or the bot). The call retrieves all request records according to the given path and query parameters.

You may use one or more query parameters in your call.

See Monitor requests to the Bot API v3 for an example.

Related endpoints

ActionEndpoint
GET/bots/v3/request/{requestId}
Monitor a specific request to the Bot v3 API
Path Params
string
required

The bot identifier

Query Params
string

A string of the form “” indicating how far in the past to look for recent request records. For example: “30m”, “2h”, "3d” representing “30 minutes”, “2 hours”, or “3 days”, respectively.

Defaults to 1 day.

31 days is the current maximum

string

A string indicating the state of the requests to return.

No default: if unspecified, all records from the period are returned.

Supported values: ERROR, PENDING, or SUCCESS

You may specify this parameter multiple times, as in: /bots/v3/request/appId/mybot?from=6h&state=PENDING&state=ERROR

string

Optional. A string indicating that the query should return only request records of the specified origin.

Possible values are KHOROS or BOT

Khoros-originated records are those requests the bot framework made to your bot.

Bot-originated records are those requests your bot made to the bot framework.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json